var tmpl=`
<div>
      <slot name="top"></slot>
      <gsb-form  ref="dform" :metaData="metaData">
          <gsb-button-group slot="topbtnarea"  isForm="true" @select="onselect" ikey="cancel" :btns="toolbar"></gsb-button-group>
      </gsb-form>
      <slot></slot>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData',"toolbar","isreadonly"],
   data:function(){
     return {
        readonly:this.isreadonly?this.isreadonly:false,
     };
   },
   mounted:function(){
      if(this.readonly){
        this.$refs.dform.setReadOnly();
      }else{
        this.$refs.dform.setCanEdit();
      }
   },
   created:function(){
     console.log("created....................");
   },
   methods:{
     onselect:function(k){
      
     },
     setInitData:function(obj){
       this.$refs.dform.setInitData(obj);
     },
     getFormModel(){
       return this.$refs.dform.getFormModel();
     },
   },
   vname:"gsb-linkform"
}`
